<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <group id="api" sortOrder="10" showInDefault="0" showInWebsite="0" showInStore="0">
        <label>API Configuration</label>
        <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Form\Fieldset</frontend_model>
        <field id="auth_url" type="text" sortOrder="10" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Auth URL</label>
        </field>
        <field id="web_url" type="text" sortOrder="20" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Web URL</label>
        </field>
        <field id="client_id" type="text" sortOrder="30" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Client ID</label>
        </field>
        <field id="account_token" type="text" sortOrder="40" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Account Token</label>
        </field>
        <field id="enable_logger" type="select" sortOrder="60" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Enable Logger</label>
            <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
        </field>
        <field id="signalr_url" type="text" sortOrder="70" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>SignalR URL</label>
        </field>
        <field id="region" type="text" sortOrder="80" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Region</label>
        </field>
    </group>
    <group id="setup" sortOrder="80" showInDefault="0" showInWebsite="0" showInStore="0">
        <label>Extension setup guide</label>
        <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Form\Fieldset</frontend_model>
        <field id="finalized" type="select" sortOrder="10" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Finalized</label>
            <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
        </field>
    </group>
    <group id="max_length" sortOrder="100" showInDefault="0" showInWebsite="0" showInStore="0">
        <label>Max length</label>
        <field id="page_description" type="text" sortOrder="10" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Meta Description</label>
        </field>
        <field id="open_graph" type="text" sortOrder="20" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Open Graph</label>
        </field>
        <field id="alt_text" type="text" sortOrder="30" showInDefault="0" showInWebsite="0" showInStore="0">
            <label>Alt Text</label>
        </field>
    </group>
</include>
    